Last Comment Bug 256382 - Darwin 7 builds crash on startup
: Darwin 7 builds crash on startup
Status: RESOLVED EXPIRED
: crash
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: 1.7 Branch
: PowerPC Other
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-21 00:30 PDT by Yves de Champlain
Modified: 2009-07-15 08:05 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
config.log for mozilla 1.7.2 on darwin 7.2.1 (32.92 KB, text/plain)
2004-08-22 21:32 PDT, Yves de Champlain
no flags Details
configure output (14.11 KB, text/plain)
2004-08-23 13:45 PDT, Yves de Champlain
no flags Details
what I tried in gdb (995 bytes, text/plain)
2004-08-23 13:46 PDT, Yves de Champlain
no flags Details
gdb.log with backtrace (1.55 KB, text/plain)
2004-08-27 05:00 PDT, Yves de Champlain
no flags Details

Description Yves de Champlain 2004-08-21 00:30:29 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X; fr-ca) AppleWebKit/125.4 (KHTML, like Gecko) Safari/125.9
Build Identifier: http://ftp.mozilla.org/pub/mozilla.org/mozilla/releases/mozilla1.6/src/

Mozilla built on Darwin 7 crashes at startup, even before building a stack (gdb core: no stack).  Mozilla 
built on MacOSX 10.3 will not run on Darwin OS because it links to the CoreServices framework which is 
proprietary and MacOSX only. 

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Yves de Champlain 2004-08-21 05:00:34 PDT
PS : I also tried mozilla-1.7.2 on OpenDarwin-7.2.1 and it crashed at startup too.
I also tried various configurations.
Comment 2 cls 2004-08-21 18:17:13 PDT
MacOSX builds require CoreServices and I don't believe that's going to change
for the functionality required.  

When building on Darwin 7, what options are you using?  Please attach the
configure output of the build.
Comment 3 Yves de Champlain 2004-08-22 21:32:39 PDT
Created attachment 156759 [details]
config.log for mozilla 1.7.2 on darwin 7.2.1

./configure --enable-default-toolkit=gtk2 --mandir=${prefix}/share/man \
		--enable-optimize --enable-crypto --enable-calendar
Comment 4 cls 2004-08-22 22:30:40 PDT
I meant the actual ouptut of the configure command. config.log is a bit harder
to follow.  

Does a debug build (--disable-optimize --enable-debug) exhibit the same crash
w/o a stack behavior?

Comment 5 Yves de Champlain 2004-08-23 13:45:17 PDT
Created attachment 156825 [details]
configure output
Comment 6 Yves de Champlain 2004-08-23 13:46:20 PDT
Created attachment 156826 [details]
what I tried in gdb

Note that I am not very good with gdb (if you have not guessed yet)
Comment 7 Yves de Champlain 2004-08-23 13:49:11 PDT
The configure output and gdb output are both with --disable-optimize and
--enable-debug.  I also have the whole build output if you want (5 Mb)
Comment 8 cls 2004-08-23 19:18:50 PDT
I see the gdb attempt is after doing a 'make install'.  You'll need to run gdb
with the proper library paths set for that.  Just try `./mozilla -g` .  Also,
have you tried running mozilla from dist/ ?  

cd dist/bin && ./mozilla

Comment 9 Yves de Champlain 2004-08-25 22:48:14 PDT
./mozilla -g ! thanks for that one

The program gets through a bunch of _dyld_* functions
and then seems to crash in crt.c which is referenced in
/usr/src/APPLE... (probably crt2.o)

So I tried to build it with FSF gcc-3.4.0 but the build does not
get passed 
nsIConsoleListener.idl
../../dist/bin/xpidl -m header -w -I. -I../../dist/idl -o
_xpidlgen/nsIConsoleListener nsIConsoleListener.idl
Assertion failed: state->tree, file xpidl_idl.c, line 60
Comment 10 Yves de Champlain 2004-08-26 05:17:43 PDT
note that for FSF gcc, I had to quickly remove -fPascal-strings and -Wmost since
thos flags were not recognized.  Maybe it is related with the build failure.
Comment 11 cls 2004-08-26 10:11:49 PDT
Can you attach the complete stack trace from the './mozilla -g' debug run?
Comment 12 Yves de Champlain 2004-08-27 05:00:49 PDT
Created attachment 157147 [details]
gdb.log with backtrace
Comment 13 cls 2004-08-27 11:14:03 PDT
bryner, any ideas what's going on here with gdb?
Comment 14 Yves de Champlain 2004-09-12 16:48:37 PDT
Could someone point me from which version did mozilla begin to include
CoreServices ?  I know 1.0.0 does not show this problem.
Comment 15 cls 2004-09-12 16:59:07 PDT
Mozilla 1.0.0 doesn't build on Darwin/OSX, either, iirc.  We didn't officially
start supporting Darwin/OSX until Mozilla 1.3 or so and afaik, we've always
required CoreServices.  We didn't start supporting non-OSX darin builds until
some time after that (moz1.5?).  

There is a related bug (bug #249028) to make non-OSX darwin builds not require
CoreServices as they currently do.
Comment 16 Gervase Markham [:gerv] 2005-09-27 01:57:36 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
Comment 17 Gervase Markham [:gerv] 2005-10-13 10:28:48 PDT
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.

Note You need to log in before you can comment on or make changes to this bug.